summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-01-17 06:57:04 +0100
committerHans de Graaff <graaff@gentoo.org>2018-01-17 06:57:04 +0100
commit0588df53fec2e6dee8fddb4036455a61761a85e4 (patch)
tree3101fbfb26a83eb630f56df97e981930c435464c /dev-ruby/activeldap
parentsys-process/time: x86 stable (bug #643016) (diff)
downloadgentoo-0588df53fec2e6dee8fddb4036455a61761a85e4.tar.gz
gentoo-0588df53fec2e6dee8fddb4036455a61761a85e4.tar.bz2
gentoo-0588df53fec2e6dee8fddb4036455a61761a85e4.zip
dev-ruby/activeldap: add 5.1.1
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'dev-ruby/activeldap')
-rw-r--r--dev-ruby/activeldap/Manifest1
-rw-r--r--dev-ruby/activeldap/activeldap-5.1.1.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
index 4473be03626..005ceab94fe 100644
--- a/dev-ruby/activeldap/Manifest
+++ b/dev-ruby/activeldap/Manifest
@@ -1,2 +1,3 @@
DIST activeldap-4.0.6.gem 225280 BLAKE2B 0f03ef95f3d0600d2661eab048c8dda3fbabe519add67f7785895e346d835d1e0396270f829f16a982f12863c80378be2f4f7ff7cf84016007b005b1914cec15 SHA512 03053e3798b557c73c3a0918b72d1d3c2cada4da3475913ef17a6f9f2f1ac1e102052459ef1a6d8c25ce41382b64c1a3097ccba1c768497a33a3a971b9778d3b
DIST activeldap-5.1.0.gem 224768 BLAKE2B de3a9807ae251de7cf2824da759d4e3d78fc232c6614c67bd827e3746328adc21f9877bd267d51e4e7b727e6b73be5fad77f48cd3f9f7c74d61fedd103a368d8 SHA512 8bed994f1477429c96001ce69be89581742e2ed00e48a8a59b9eeb08db6e327faf0a1b8eb3746e7f8680a8814d90bf3e1c2fa4f160d661358c1d61b792e3d54d
+DIST activeldap-5.1.1.gem 224768 BLAKE2B cbb54a3e442592ffcd46b99dc92301955e0ec2e6930c7dff0159ddc41166311f9f7b06a0d878dff4180962d6811690fc55e6eef9693048d485672dc83560b63f SHA512 13ae4f05717a9de80f56e19033e694ae1291cf4486dc4c69055892fb2c43469b0dba968949bd668a89d035126d8bde144ad410313dce0d6de80a4ddff884a745
diff --git a/dev-ruby/activeldap/activeldap-5.1.1.ebuild b/dev-ruby/activeldap/activeldap-5.1.1.ebuild
new file mode 100644
index 00000000000..88e121e87f4
--- /dev/null
+++ b/dev-ruby/activeldap/activeldap-5.1.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.textile TODO doc/text/*"
+RUBY_FAKEGEM_EXTRAINSTALL="po"
+
+inherit ruby-fakegem
+
+MY_P="${P/ruby-/}"
+DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented interface to LDAP"
+HOMEPAGE="https://github.com/activeldap/activeldap"
+
+LICENSE="GPL-2"
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Most tests require a live LDAP server to run.
+RESTRICT="test"
+
+ruby_add_rdepend "
+ >dev-ruby/activemodel-4.0.0:*
+ dev-ruby/locale
+ dev-ruby/ruby-gettext
+ dev-ruby/gettext_i18n_rails
+ || ( >=dev-ruby/ruby-ldap-0.8.2 dev-ruby/ruby-net-ldap )"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc doc/text/*
+
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+}